Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.database
Class SCQLException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--opencard.opt.database.SCQLException

Direct Known Subclasses:
  CommandNotAllowedException, EndOfTableReachedException, IncorrectParameterInDataFieldException, InstructionCodeNotSupportedException, MemoryFailureError, NotEnoughMemorySpaceException, ObjectAlreadyExistsException, OperationNotSupportedException, ReferencedObjectNotFoundException, RequiredPrecedentCommandNotPerformedException, SCQLError, WrongLengthException

public class SCQLException
extends java.lang.Exception

This class which extends the Java `objectException` object class, is the most general exception of the database package. It provides information on a database smart card access error.

Since:
  OCF1.2
See Also:
  Serialized Form

Constructor Summary
`SCQLException()` Build a new `SCQLException` object.
`SCQLException(java.lang.String message)` Build a new `SCQLException` with the corresponding message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SCQLException

    public SCQLException()

  Build a new `SCQLException` object.

### SCQLException

    public SCQLException(java.lang.String message)

  Build a new `SCQLException` with the corresponding message.
  Parameters:
    `message` - The message used to build the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD